package cards.maumau.model;

import cards.Card;
import cards.Suit;

public class JackChosen implements HandlerState{
    private final ActionHandler handler;

    JackChosen(ActionHandler handler) {
        this.handler = handler;
    }



    public void chooseSuit(Suit suit){
        handler.setChosenSuit(suit);
        handler.getGame().getPlayerHandler().nextTurn(1);
        handler.setGameState(GameState.PLAY);
        handler.setHandlerState(new SuitChosen(handler));
    }

    public void startGame(){}
    public void addPlayer(Player player){}
    public void finishGame(){}
    public void cancelGame(){}
    public void chooseCard(Card c){}
    public void skip(){}
    public void no7(){}
}
